<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon"
          href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>&#128366;</text></svg>">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:fragment="header">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" th:href="@{/}" href="/">&#128366;</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item" sec:authorize="hasRole('ADMIN')">
                        <a class="nav-link" th:href="@{/admin}" href="../admin">
                            <span th:text="#{main.administrator}">Администратор</span></a></li>
                    <li class="nav-item" sec:authorize="hasAnyRole('ADMIN', 'LIBRARIAN')">
                        <a class="nav-link" th:href="@{/librarian}" href="../librarian">
                            <span th:text="#{main.librarian}">Библиотекарь</span></a></li>
                    <li class="nav-item" sec:authorize="hasAnyRole('ADMIN', 'LIBRARIAN', 'READER')">
                        <a class="nav-link" th:href="@{/users/{id}(id=${user.id})}" href="../users">
                            <span th:text="#{main.profile}">Профиль</span></a></li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown"
                           role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            <span th:text="#{main.language}">Язык</span></a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" th:href="@{''(locale=ru)}" href="?locale=ru">
                                <span th:text="#{main.language.russian}">Русский</span></a></li>
                            <li><a class="dropdown-item" th:href="@{''(locale=en)}" href="?locale=en">
                                <span th:text="#{main.language.english}">Английский</span></a></li>
                        </ul>
                    </li>
                </ul>
                <form class="d-flex" th:action="@{/login}" method="get"
                      sec:authorize="!isAuthenticated()">
                    <button class="btn btn-outline-success" type="submit" th:text="#{main.login}">Выйти</button>
                </form>
                <form class="d-flex" th:action="@{/logout}" method="post"
                      sec:authorize="isAuthenticated()">
                    <label th:text="|${user.firstName} ${user.lastName}|" class="col-form-label">Ксения Морозова</label>
                    <button class="btn btn-outline-success" type="submit" th:text="#{main.logout}">Выйти</button>
                </form>
            </div>
        </div>
    </nav>
</header>
</body>
</html>
